Offline Help

What is RealPlayer Help? It is a comprehensive set of topics covering all functions of the Player. They are available to all customers while connected to the Internet.

What is Offline Help? This is an abbreviated set of topics and information within Help, available whether you are connected to the Internet or not. The offline topics were selected to provide information about the most common tasks and questions while using RealPlayer.

Available Offline Topics: Topics that are available when you are offline are listed below, grouped by related functions. Click on any link to open a list of topics.

General

CD/DVD

Options and Help

Can I install all the RealPlayer Help topics on my computer?

Yes. you can download the entire help file so that all the help topics are stored on your computer, and available at any time. Download Help Now.

Can I see the full Help without downloading it?

Yes. Simply connect to the Internet and use the file normally, or click here to use it now.

Note: You can also install Help at any time through AutoUpdate. Open the Tools menu and select Check for Update, then install the Complete RealPlayer Help files from the AutoUpdate dialog. You must be online to use AutoUpdate.

Click to download Screen-reader accessible Help Click here to install screen-reader accessible Help
© 2004 RealNetworks, Inc. All rights reserved.


What's New in RealPlayer 10.5

HELP

What's New in RealPlayer 10.5?

There are a number of changes to the new RealPlayer, some obvious, such as the new look and feel; and some not so obvious, such as the improved performance to provide you with a faster, more reliable experience. Below are some of the highlights, but explore RealPlayer 10.5 for yourself to discover even more.

  • The new music experience with Real Music Guide offers detailed artist information, recommendations, reviews, and most popular charts. You can drag and drop playlists for fast access to favorite music and easily navigate selections using large, easy-access buttons.

  • New feature tabs, including the new Music & My Library page, make RealPlayer 10.5 easier to use than ever by keeping tasks, radio stations, and your music library close at hand. In addition, a wealth of new feature have been added to My Library:

Additional features, such as the new Organizer and sidebars, make finding clips and working with them even easier than before by putting common tasks at your fingertips. Improved Watch Folders and naming support make it easier to customize your library.

My Library now offers support for using keywords so you can add custom descriptions to your music and video clips. Later, easily find clips in your music collection by searching for these keywords.

New AutoPlaylists features help you create custom mixes faster. Compile selections for an AutoPlaylist by keyword, clip information, or specific criteria, such as Last Played, length, and more.

  • Portable Devices support (by using Harmony Technology) gives you seamless support for 100+ portable devices in a variety of form factors, from cell phones to PDAs, as well as traditional and newer MP3 players, including iPods, with flexible synchronizing support. You can even search your music library directly from the Portable Device Manager to find songs to add to your player, and preview tracks before transferring them.

  • Media Formats: :RealPlayer uses the new Harmony Technology to support AAC formats (including iPod and iTunes compatible M4A and M4P files) as well as the new RealAudio Lossless format, which gives you archive-quality CD sound, but requires only half the disk space of the standard CD audio format (WAV).

  • Improved Message Center controls that allow you to better tailor the number and type of messages Real sends you.

  • Send Media Link by E-mail lets you quickly use your e-mail program to e-mail a link for the audio and video files you're playing.

  • PerfectPlay 2 and Live Pause load selections ahead of real time, enabling you to fast forward, rewind, and pause while you listen. Song Markers marks song changes so you can listen to a specific song or clip again.

  • Improved CD Burning Performance: It's faster and supports more drives, including support for the newest 54x CD-R drives. The CD Burner also includes CD Text support (lets you assign track and artist names to files burned onto a CD, and then view the information on compatible CD players) and an improved Print CD Jewel Case feature that can create jewel cases for MP3 and data CDs with a large number of track listings. We've even added a CD Burning history so you can burn a CD and then burn it again at a later time.

Need more? How about improved performance with Windows Media transfer to portable devices and CD burning? Or new support for Windows DirectSound, which improves Windows audio compatibility and control, to let you adjust audio settings within RealPlayer 10.5 without affecting other applications.

Still not enough? The improved Media Types Manager makes it easy for you to choose the media types that you want to play using RealPlayer 10.5. Improved performance provides a faster, more reliable playback experience. RealPlayer 10.5 is optimized for large media collections, providing faster start-up and track access times.

And yet there is more. Record from Analog Source is now modeless to make it easier to record your tapes and LPs or sound clips from movies into My Library. Even the Parental Controls have been improved.

And that still isn't all. So what are you waiting for? Go start having fun!

Attention: Some services and features may not be available in all countries. Services and features will change as they become available.


System Requirements

RealPlayer Minimum System Requirements

  • 350 megahertz (MHz) Intel Pentium II processor or equivalent

  • 64 megabytes (MB) of RAM (128MB on Windows XP or later)

  • 52 MB available disk space

  • 28.8 kilobits per second (Kbps) modem (audio only)

  • 16-bit sound card and speakers

  • 65,000-color video display card set to display at 800x600 (video)

  • Windows 98 SE, Windows ME, Windows NT 4.0 with Service Pack 6 or later (playback only), Windows 2000 with Service Pack 2 or later, or Windows XP
    Internet Explorer 5.0 or later

    Note:     For Universal Playback of Windows Media and QuickTime in RealPlayer, you must have the Windows Media Player 9.0 or later and QuickTime Player (v6.4 or later) installed on your computer.

RealPlayer Recommended System Requirements

  • 500 MHz Intel Pentium III processor or greater (supports simultaneous record/playback features)

  • 128 MB of RAM

  • High-speed Internet connection (audio/video)

  • Full Duplex sound card and speakers

  • 65,000-color video display card set to display at 800x600 or higher (video)

  • CD writer (for CD writing features)

  • 700+ MB available disk space for writing Media and MP3 CDs (not required for audio CDs)

  • DVD player and DVD playback software (for DVD playback)

  • Windows 98 SE, Windows ME, Windows 2000 with Service Pack 2 or later, or Windows XP
    Internet Explorer 6.0 or later

    If using Screen-Reader software: JAWS (v4.02 or greater recommended) or Window-Eyes (v4.21 or greater)

    Note:     For Universal Playback of Windows Media and QuickTime in RealPlayer, you must have the Windows Media Player 9.0 (or later) and QuickTime Player (v6.4 or later) installed on your computer.


Screen-reader Information

HELP

Screen-Reader Information and Accessibility

Thank you for choosing RealPlayer. We are committed to creating accessible software, and we also thank you for your patience as we find and fix issues relating to accessibility. If you have a specific issue or request, we'd like to hear from you! RealPlayer has been designed to work best with JAWS (v4.02 or greater recommended) or Window-Eyes (v4.21 or greater).

For Technical or Customer support issues, please go to: http://service.real.com/realplayer/. Send feedback about Accessibility issues to: player-accessibility@real.com.

Screen-reader Version Requirements

As noted above, RealPlayer works best with the following screen-reader software:

Window-Eyes version 4.21 or greater required.
JAWS version 4.02 or greater recommended.

Keyboard Shortcuts and Limitations

RealPlayer has a number of keyboard shortcuts to help you navigate its various features and areas. There are some exceptions, which are described below.

Message Center

The Message Center delivers periodic messages of interest to the user. You may customize categories of messages as desired. Currently the Messaging system is not very screen-reader accessible and most screen-reader users will want to disable the "Check for new messages" feature to prevent the pop-ups from interrupting work flow. Here are the steps to do so (may require sighted assistance):

  1. Click View > Message Center in the RealPlayer menu bar to open the Message Center.
  2. Click the Options menu on the Message Center.
  3. Choose Preferences... to open the Message Center Preferences dialog.
  4. Clear Check for new messages.
  5. Click OK.
  6. A warning message will appear. Click Yes.
  7. Close Message Center.

Rarely, a software update message may appear if an updated version of RealPlayer is made available, but no other messages should appear.

Multimedia Advertisements

Screen-reader users may find the periodic display of advertisements in the presentation window problematic. While the free Player is necessarily supported by advertisers, if you purchase RealPlayer Plus or purchase a Subscription (a subscription also gives you the Player Plus features), your product usage will be interrupted fewer times by advertisements.

Other Known Issues

  • There is currently an issue with the RealPlayer installer that prevents the values of some checkboxes from being read.

  • JAWS Cursor Mode does not operate properly with RealPlayer. The arrow keys to move the cursor may not work; the cursor will simply stay in one fixed spot when over RealPlayer.

  • When playing a DVD you may need to use the mouse to activate the DVD menu.

  • The following shortcuts are in conflict in Window-Eyes:

Shortcut | RealPlayer Action
CTRL +SHIFT+D | Go to Burn/Transfer page.
CTRL+SHIFT+N | Toggle Now Playing (open/close).
CTRL+SHIFT+W | Go to Real Guide page.
CTRL+SHIFT+S | Go to Search page.
CTRL+SHIFT+M | Open Message Center.

To use these shortcuts in RealPlayer:

  1. Start Window-Eyes.
  2. Click the Hotkeys Menu.
  3. Select the desired hotkey.
  4. Click Unlearn.

Install Screen-Reader Accessible Help
(Connect to the Internet first)


How to use this Help File

This Help file is a Web page document. Click on highlighted text (for example, Player Controls) to hyperlink to a related topic or pop-up, or to display addition text related to the highlighted word or phrase (such as a glossary definition).

Throughout the Help file, you will see references to a string of menus, submenus, and commands. For example: Tools > Preferences... > General. This example refers to the General Preferences page, accessed using the Preferences... command, found in the Tools menu, which is located in the menu bar at the top of RealPlayer.

Occasionally you will see pictures and icons on the help page. If your cursor changes to pointing hand cursor when you pass your mouse over a picture or icon, click the mouse to link to a pop-up or a new topic.

Note: The Premium Feature icon icon indicates features that are available only with Premium Service, or with the purchase of RealPlayer Plus.


Basic Player Controls

HELP

RealPlayer Controls

The controls below can be found just below the Status Display in RealPlayer and apply to Offline use. The controls work only when a clip is attached.

Icon | Function | Description
open list icon | List Menus | Lists and accesses any menu hidden due to resizing.
Now Playing button | Now Playing | Opens and closes the Now Playing panel in the Browser. (Opens Browser if necessary.)
browser button | Media Browser | Click browser globe icon to open or close the Media Browser. Click [image] to open the Media Browser Quick Access menu.
play pause button | Play/Pause | Click to play a clip from the beginning or from where you paused it. Click again to pause play.
stop button | Stop | Stops playback and resets clip to the beginning.
forward button | Forward | Click once to advance to the next clip in the Now Playing list. Click and hold to fast forward the current clip.
back button | Back | Click once to return to the previous clip in the Now Playing list. Click and hold to fast rewind the current clip.
DVD button | Open Menu | Opens DVD Command menu. (Available when playing a DVD.)


Music-Library

HELP

Music & My Library

The Music & Library page gives you a single place to find, listen to, buy, download, and save music files. It helps you organize all your clips in ways that make it easier for you to keep track of all the audio and video you've collected.

To open the Music & My Library page, select Music and My Library icon Music & My Library at the bottom of the stand-alone RealPlayer, or from the Browser tabs in the Browser. Once you have the Music & My Library page open, select any of the various music or library pages from the View area of the sidebar.

View

Click any of the pages listed in the View area of the sidebar to open the following pages:

Music Store icon | Opens Music Store. Sample and purchase music from a vast library of music. (Must be online.)
Music Guide icon | Opens Music Guide page. Listen to and discover music for free from artists in every genre. (Must be online.)
Radio icon | Opens the Radio page. Select and play streaming audio from a variety of Internet Radio stations. (Must be online.)
My Library icon | Opens My Library page. Use this page to view and organize lists of shortcuts and links for media files you have imported into RealPlayer.
CD/DVD icon | Opens CD/DVD page. Use this page to play CDs or DVDs on your computer and to save CDs to My Library.

Attention: Some services and features may not be available in all countries. Services and features will be added as they become available.


CD Page

HELP

CD/DVD page

Use the CD/DVD page to view, select, play, and save (rip) audio tracks from audio CDs or to play DVDs.

To open the CD/DVD page, click CD/DVD Page CD/DVD in the View menu at the top of the player. This will open the CD/DVD page under the Music & My Library tab.

While playing or saving a CD, the artist, album, and genre information appears at the top of the CD page. CD track information, such as track names (if available), the length of each track, and the save status of each track (% completed/saved) appears in the main display area of the browser.

CD Information

Information, such as the Artist, Album title, and Genre, and Track Names, is saved in your RealPlayer database and displayed each time the CD is played. These values can be manually edited at any time, and changes are stored in your local database. When online, this information can be obtained automatically from the Internet.

Manually Edit | Procedure
Edit Artist, Album, or Genre information. | Select and edit the text in the Artist, Album, or Genre windows.
Edit Track Name | 1. Select a track. 2. From the Edit menu, select Rename. 3. Edit the track name and press Enter.

CD Drive Indicator

When more than one CD drive is available on a computer, click Down Arrow/CD Select on the CD drive indicator Drive Indicator to select and change the active drive.

Note: You can change the active CD drive only when the player is not playing a CD or DVD.

Common Tasks

The sidebar contains common tasks specific to the current page and appears at the left of the page. The following tasks are available in the CD/DVD page:

Option

Description

Save Tracks

Opens the Save Tracks dialog so that you can pick which clips you want to add to My Library. (See Save CD to My Library for details.)

CD Info

Get CD Info | Requests CD Info, such as artist, track names, and album from an online database. If you already have information entered, RealPlayer will prompt you before overwriting.
Submit CD Info... | Sends CD Info about the currently queued CD to an online database. (Must include artist, album and genre information.)
Edit Track Name | Edit or enter the track name for the selected track.

Print Jewel Case

Opens the Print Jewel Case dialog; uses information from the CD in the active drive.

CD Burner

Opens the CD Burner in the Burn/Transfer page.

Eject

Opens the door of the active drive. (See CD Drive Indicator above to determine which drive is active.)

CD Track Information

The following information about the CD appears in the lower right corner of the CD/DVD page:

Status | Description
Track Number | Number of selected tracks (if any), or number of audio tracks on the CD when no tracks are selected.
Total Track Length | Total length of selected track(s), or total play time of the CD when no track is selected.
File Size | File space needed to save selected tracks to My Library at the default Quality Level. If no tracks are selected, indicates the space needed to save all tracks.


Save CD Tracks to My Library

You can easily build your media collection by saving CDs to My Library. Once CD tracks are saved with RealPlayer, you can create and share playlists, burn CDs, view and edit clip info, and more.

RealPlayer will automatically save CD tracks to My Library each time you play a new CD. You can change this setting by selecting Tools > Preferences in your Player menus, then choosing CD in the Preferences dialog, and then selecting or clearing the Prompt to Save CD option.

How to Save CD tracks to My Library using Auto-Save

  1. Insert a CD. If you have not already saved this CD, RealPlayer will ask if you would like to save the tracks now.

  2. Click Yes.

  3. RealPlayer will open the CD page and begin saving your tracks. The Status column displays the status of each track (Pending, In Progress (icon), or Saved).

  4. Once all tracks are saved, RealPlayer will automatically eject the CD. (You can change this setting in CD Preferences.)

Note: Once you have saved tracks to My Library, they are called clips.

Saved Track Memory

If you have previously saved one or more tracks from a CD, RealPlayer will remember this information. If, at a later time, you start to save tracks to My Library from the same CD, RealPlayer will indicate which tracks have previously been saved. You will have the option to make an additional copy of the files you made earlier, or to leave them alone.


Playing CDs While Saving

HELP

Play CDs While Saving

By default, RealPlayer will automatically start playback every time you save a CD to My Library. You can enable or disable this feature in Tools > Preferences: CD and then clicking Additional CD Options...

Note: To override the automatic playback features set in RealPlayer, you must manually configure your CD drive to ignore CD insertion (Auto-Insert Notification) cues by changing the Operating System (Windows) configuration or CD-ROM driver configuration.

Not all systems support CD playback while saving, and some systems save tracks faster with this feature turned off. (See System Requirements for details.)


Burning CDs

HELP

CD Burner

Premium disc burning features are marked with Premium Feature

Special system requirements

  • A drive capable of writing to CD-R or CD-RW discs.
  • Blank optical discs.
  • Up to 700 MB of temporary free disk space for MP3 CDs.

Overview

When you create a custom CD, you are transferring media files from your computer to an optical disc (CD-R or CD-RW). You can Browse through the clips in My Library to find the files you want to transfer, select a CD type, and then burn the files to a CD.

Note: Audio and MP3 CDs that are burned onto CD-RW discs cannot always be read by standard CD players or CD-ROM drives.

Open the CD Burner

You can open the CD Burner from any of the following locations:

  • From the Player menus, select Tools > CD > CD Burner.

  • In the Tasks area of the My Library Sidebar, Select CD Burner > View...

  • From the Current Burner/Device menu at the top of the Burn/Transfer page, Select CD Burner.

Select CD Type

You can choose to create one of the following CD types:

CD Type | Description
Audio CD | Creates an audio CD that can be played on standard CD players. Files are added as audio tracks on the CD at the same quality level as a standard audio CD.
Premium Feature MP3 CD | Converts (as necessary) and transfers selected audio files as MP3 audio tracks.
Data CD | Saves media files of any format to a CD-R or CD-RW disc. Note: Only media types supported by RealPlayer can be added in this mode.

Add Tracks from My Library to a Custom CD

Select Add Tracks from My Library in the Tasks area of the sidebar to browse and select the files you want to add to your custom CD. Only media that is on a local drive can be added to a CD. Clips are listed by clip categories, including CD History, which lists the clips and CD type of recently burned CDs. (See CD Burner Preferences for details.)

Note: You can also use Add Clips in the Edit menu to select files.

Edit Options

Options are specific to the CD Type you have selected:

CD Type

Available Options

Audio CD

Drive Options | Select the Write Speed or click Advanced Options to modify your CD Burner Preferences.
CD Text | Enter the CD text you would like for the current CD. CD text appears in the front display of many newer CD players.
Transitions | 2-second gap: Choose to keep or remove the customary two second gap between audio tracks. Crossfade ( Premium Feature ): Overlaps the end of each track with the beginning of the next. Enter the number of seconds of overlap.
Audio Filters ( Premium Feature ) | Adjusts the volume of each track so they all have the same volume.

Use these as my default settings: Select this option to save the current choices as your default setting for Audio mode.

MP3 CD ( Premium Feature )

Drive Options | Select the Write Speed or click Advanced Options to modify your CD Burner Preferences.
Disc Options | Add a name to your disc. Your computer will display this name. Create a multi-session disc: Allows you to add additional tracks at a later time by not finalizing the disc.
MP3 CD Playlist Options | Creates playlists on the disc (M3U format), based on the clip info for the files that are to be burned onto the CD; one playlist for each artist and/or artist and album.
MP3 CD Folder Options | Organize MP3 files on the disc in folders, based on clip info about the artist and album. Choose to create no folders, folders by artist, or folders and subfolders by artist/album. You can also have playlists (from the previous option) placed in their own folder.

Use these as my default settings: Select this option to save the current choices as your default setting for MP3 mode.

Data CD

Drive Options | Select the Write Speed or click Advanced Options to modify your CD Burner Preferences.
Disc Options | CD name: Add a name to your disc. Create a multi-session disc ( Premium Feature ): Allows you to add additional tracks at a later time by not finalizing the disc.
Data CD Folder Options ( Premium Feature ) | Do not organize files in folders (default): Puts all files in the root (top-level) of the CD. Organize files... ( Premium Feature ): Organize media files on the disc in folders based on the clip info about the artist and album. Select folders by artist, or folders and subfolders by artist and album.

Use these as my default settings: Select this option to save the current choices as your default setting for Data mode.

Additional CD Tasks

The following commands are available in the drop-down menu:

Command | Description
Print Jewel Case | Print Jewel Case dialog.
Remove Duplicate Tracks | Removes duplicate tracks from the queue. (When you queue up large numbers of clips, especially from playlists, it is possible to create multiple tracks from the same clip.) If multiple copies are not your intention, click Remove Duplicates to identify and remove all but the first instance of a queued track. (This will not affect a playlist on MP3 or Media discs, which can have multiple references to the same file.)
Erase CD | Erases all data on the disc so that it can be reused. (Available when using re-writable media, for example a CD-RW disc.)
Eject CD | Opens door and extends CD tray of active drive.

Burn a CD

Set-up

    1. From the menu bar, select Tools > CD > CD Burner CD Burner. This will open the CD Burner.

    2. Insert a blank disc into your CD-R or CD-RW drive.

    3. In the Tasks area of the sidebar, click Select CD Type. Choose a CD type (Audio, MP3, or Data).

Add Tracks

    4. Click Add Tracks from My Library in the Tasks area to open a list of clip categories.

    5. Select a clip category from the drop-down list. If a list of subcategories appears, select a subcategory. Clips are listed below the clip category box.

    6. Browse and select the clips you want to add to the disc. (To select multiple clips, use the CTRL or SHIFT keys as you would with Windows Explorer.)

      Note:       Only clips that point to media files that are located on your computer or LAN can be added to a CD. Clips that link to media located on the Internet will generate an error message and will not be burned.

    7. Click Add Selected to CD to add the selected clips to the CD Burner queue. The selected clips appear in the queue with a Ready to Burn status; the CD Status indicator (below the queue) shows the minutes required for download (Audio CD) or file space (MP3 or Data CD) still available on the disc, and the total minutes or file size you have queued so far.

      Note:       If excess clips are added to the queue, they are labeled "Will Not Fit" and will not be transferred.

    8. Repeat steps 4 through 7 for each clip that you want to add to your disc.

    9. If desired, rearrange the selected tracks by dragging and dropping them within the list. To delete a track, select the track and press [DELETE] on your keyboard.

      Note:       Before burning, make sure your disc is organized the way you want it. Once a CD-R disc is written and finalized, it cannot be modified or added to.

Options

    10. Click Edit Options... to change any of the options for your burn. (See Edit Option above for the options available for each CD Type.)

      Premium Feature If you are using RealPlayer Plus or are a Real Services member you can choose to create an MP3 or multi-session CD. (Multi-session CDs are not finalized; additional files can be added later, even when using CD-R discs.) To create a multi-session CD, check Create a multi-session disc in Options before you begin your burn.

      Note:       Some CD players cannot play CDs until they have been finalized.

Burn CD

    11. Click Burn Your CD. The transfer status of your clips will change to pending, then ready to burn and RealPlayer will begin to write tracks to your disc. Once a track has been written, the transfer status will change to On CD.

    12. If you did not select the multi-session disc option, the CD Burner will finalize your disc after all tracks have been transferred.

    13. When all processes are done, the player will eject the finished CD.

    14. Optional: choose one of the following CD Burner options from the sidebar:

      Burn Another Copy

      Place another blank disk in the drive and burn another CD with the same clips.

      Start A New Burn

      Start the Create a CD process from the beginning.

      Print Jewel Case

      Opens the Print Jewel Case dialog.

Erase CD-RW

When you are using a CD-RW capable drive and disc, you can erase the CD by selecting Additional CD Tasks > Erase CD from the Tasks area of the CD Burner sidebar.


CD Burning, Multi-Session

HELP

Multi-Session CD Burning Premium Feature

The ability to create Multi-Session CDs is a Premium feature for Real Service members and RealPlayer Plus owners. The Multi-Session option, available for MP3 or Data CD Types, can be selected with the Edit Options... command in the CD Burner (see the step-by-step procedure below). When enabled, this option allows you to burn media files (MP3 or Data disc) to optical media, without finalizing the disc, and then lets you add additional files to the disc at a later time.

To finalize a Multi-Session CD, start another burn session with the CD, deselect the Multi-Session option with the Edit Options... command, add additional files (optional), and then burn the CD.

Note: Some MP3 players, as well as CD-ROM and DVD drives, cannot read discs that have not been finalized. Finalized discs meet all CD and DVD playback standards.

Enable Multi-Session CD Burning

  1. Click Burn/Transfer page Burn/Transfer to open the Burn/Transfer page.

  2. Choose CD Burner CD Burner from the Current Burner/Device drop-down list to open the CD Burner page.

  3. Select MP3 or Data as CD Type.

  4. Click Add Tracks from My Library and select the tracks to add to your disc.

  5. Click Edit Options.

  6. Select Create a multi-session disc and any other options you wish to use.

  7. Click OK.


CD Burning Tips

There are many things you can do to avoid some of the most common problems that occur when burning a CD. Below are suggestions for helping you create a perfect disc every time.

  • Use high-quality, name-brand discs. These discs are usually less flawed and have a higher success rate than no-name, cheaper discs.

  • Before attempting to burn, ensure that media (especially rewritable media) is clean and free of any scratches. Frequent handling of discs can cause scratches and dirt to accumulate on the disc surface. Scratches and dirt may cause a burn to fail.

  • Do not attempt to run a large number of applications during a burn. Depending on the speed and memory availability of your computer, running many applications at once can cause data to be lost during the burn process.

  • If you are having trouble playing audio CDs burned with RealPlayer in your CD player, try lowering your write speed in the Options dialog (CD Burner > Edit Options) to help reduce buffer underrun issues. Even drives with buffer underrun protection do not stop buffer underruns from occurring; they only avoid failure during a burn by linking information across small gaps on the disc. If too many buffer underruns occur, the disc may become unreadable to a standard CD player.

  • Purchase the proper discs for your drive; make sure the media is rated for your drive speed. Most lower-speed drives do not write well to newer, high-speed media even though the high-speed media states it is also rated for lower speeds (such as 4x).

  • Store your discs appropriately. Do not store discs in a bright or hot environment. Heat and ultra-violet light from direct sunlight or high-intensity fluorescent bulbs are detrimental to the dye used in the disks.

  • If your MP3 player cannot play files burned to an MP3 CD properly, and the original source files in My Library are MP3, try converting them to RealAudio and then burning them to an MP3 CD. This will force the files to be reconverted to MP3.

  • Not all MP3 players can play multi-session CDs. Please check your player’s specifications prior to making a multi-session disc. Finalizing (by deselecting Create Multi-session disc in the Edit Options dialog) your disc should allow it to work in your player.

  • If some tracks will not fit on the CD, try re-ordering the list of tracks to get your preferred tracks to fit. Space on the disc is assigned from the top down in the list of tracks to burn. Re-order tracks by dragging them into a new order, or use Move commands in the Edit menu to move tracks up or down in the list.

  • To burn a copy of a previously burned CD, open the CD Burner and click Add Tracks from My Library in the sidebar. Select CD History from the bottom of the list of categories. Select a recently burned CD from the list. Click Add Selected to CD to set up a copy to be burned.

    Note: You can change the number of CDs listed in the CD History with the CD Burner Preferences.

  • If you continue to get errors while burning and you are using quality media that is appropriate for your drive (see above), try reducing your write speed in the Options dialog (CD Burner > Edit Options), or change your default value in the Tools > Preferences > CD Burner menu.


Playing DVDs

HELP

Playing a DVD

As with a CD, the simplest way to start playing is to insert a DVD disc into any DVD-compatible drive installed on your computer. If RealPlayer is your default player for DVDs, it will automatically open and start playing the DVD. When playback begins, the Display mode will automatically change to Theater mode. (This feature can be turned On or Off from Tools > Preferences > DVD.)

Note: The drivers and associated software for your DVD drive must be installed before RealPlayer can access the DVD drive.

Once the DVD is loaded and initialized, the DVD's main menu will appear. Use your mouse and cursor to select items from the main menu.

How to Play a DVD

  1. Place a DVD disc in the DVD drive of your computer.

  2. The DVD will start to play automatically if the When Inserting a DVD Start Playback option is enabled (Tools > Preferences > DVD).

  3. To manually start the DVD, select Play CD or DVD from the Play menu.

DVD Command Menu

Select DVD Command menu button on the Player Control bar to open the DVD Command menu with the following controls:

Option | Description
DVD Menu | Pauses the presentation and opens the DVD main menu.
Return | Returns to the DVD presentation.
Titles | Opens a list of video clips and trailers. (Title 1 is the main presentation.) Select a title to play.
Chapters | Opens a list of chapters for the current presentation. Select a chapter; RealPlayer will advance to that chapter and continue playing.
Audio Track | Opens a list of the available alternate language audio tracks for the current presentation. Select a language to change audio tracks.
Subtitles | Opens a list of available subtitles. Select a language to view (or select None).
Angles | Select alternate viewing angles (when available).
Closed Captions | Turns the Closed Captions feature on and off. (Closed Captions are presented in the native language of the DVD.)
DVD Remote... | Opens the DVD Remote control panel.


DVD Remote

DVD Remote is a convenient on-screen control panel with common DVD functions. Select DVD Remote... from the DVD command menu (available only when playing a DVD) to access the DVD Remote controls.

Control

Description

Title: | Opens a list of video clips and trailers. (Title 1 is the main presentation.) Select a title to play.
Chapter: | Opens a list of chapters for the current presentation. Select a chapter; RealPlayer will advance to that chapter and continue playing.
Audio Track: | Opens a list of the available alternate language audio tracks for the current presentation. Select a language to change tracks.
Subtitle Track: | Opens a list of available subtitles. Select a language to view (or select None).


Burn/Transfer Page

HELP

Burn/Transfer

The Burn/Transfer page lists and provides access to the CD Burner and the various portable devices that you can use with RealPlayer.

To change which device is currently displayed, or make an initial selection, click [image] to the right of the Current Burner/Device window and select one of the available devices from the list.

Formats

You can burn or transfer files from your computer to a CD or a portable device may be in a mix of formats (MP3, RA, etc.) and of differing qualities (96Kbps, 196Kbps, etc.). RealPlayer will automatically try to convert incompatible files into a format and quality that the device can use. File conversion preferences are selected in your CD and Device Preferences.


Portable Music Players

HELP

Portable Players and Devices

RealPlayer, using Harmony Technology, can transfer media files to a variety of portable music players and storage devices. Clips that you organize with My Library are transferred as digital music files in a variety of media formats (including MP3, AAC, WMA, and RealAudio) and qualities (bit-rates).

Installing a Portable Device

Before you can use a portable player with your RealPlayer, you have to install it properly. Click here to learn how to install your device.

Formats and Transferring

You can transfer files from your computer to your portable device in a mix of file types (MP3, RA, RAX, M4A, M4P, etc.) and of differing qualities (96 Kbps, 196 Kbps, etc.). RealPlayer will automatically try to convert incompatible files into a format that your portable device can use. File conversion preferences are selected with the Configure Device or Change Options commands, depending on the device installed. (See Common Tasks, below.)

Attention: Clips that do not have local media files available (such as links to streaming media) cannot be transferred to a portable player.

Common Tasks

Because each portable device has a different storage capacity and set of features, RealPlayer uses a custom display (called a plug-in) for many devices to display the appropriate features for each specific device. Add a new plug-in by clicking Add a New Device... in the Tasks area of the sidebar in the Burn/Transfer page.

Once you have installed the necessary plug-in, attach the portable device to your computer, start RealPlayer, reopen the Burn/Transfer page, select the matching device from the Current Burner/Device drop-down list in the Burn/Transfer page, and begin transferring files.

Some of the more common tasks are listed in the sidebar at the left of the page. The device that is currently installed and selected determines which tasks are available. Some of these tasks are:

Task

Instructions

Add Selected to Device

Adds the selected clips to the transfer queue of the current portable device.

Configure Device...

Opens the Configure dialog for the selected device.

Synchronize Device

Compares the media files listed in My Library and on the portable device. If a file or playlist is determined to be different from the file or playlist being synchronized, the file on the device will be replaced with the file listed in My Library. (See Synchronize Devices for details.)

Eject Device

Shuts down all transactions with a portable device so you can safely disconnect it from your computer. After ejecting a device, RealPlayer returns to the Burn/Transfer Home page.

Note: After a device has been ejected, it must be disconnected and then reconnected to your computer before it will be recognised by the Player.

Change Options

Opens the Options dialog for the selected device.

Start Transfer

Starts transferring copies of the selected media files to your portable device. If files need to be converted, temporary files of the required format and bit-rate are created and transferred to the device. The original files remain unchanged.


Install a Portable Device

HELP

Install a Portable Player/Device

To use a portable device with RealPlayer you must install both the device's drivers and a plug-in so that RealPlayer knows how to use the device.

Follow your manufacturer's instructions to install and connect your portable music player or storage device to your computer, then use the instructions below to install the plug-in for RealPlayer.

Note: RealPlayer will need to download components from RealNetworks in order to install your device. Connect to the Internet before beginning this process.

Step-by-Step:

Install a Portable Device plug-in to RealPlayer

  1. Remember to connect to the Internet before beginning this procedure.

  2. From the Menu bar, select View > Burn / Transfer icon Burn/Transfer. If necessary, select Burn/Transfer Home from the Current Burner/Device drop-down list.

  3. Click Add a New Device in the sidebar. This will open an Internet page with portable players listed on it.

  4. Select a device plug-in from the list and click Install the device... to complete installation.

Disable or Enable a Portable Device

In rare cases, a portable device plug-in can cause problems in RealPlayer. If you think the device is an issue, you can disable it in the Devices section of your Preferences by following the steps below:

(Note: When a device is disabled it is not deleted from the computer, but it is disconnected from the player.)

  1. Select Tools > Preferences in your RealPlayer menu bar.

  2. Select the Devices Category.

  3. In the Installed Devices list, select the device or plug-in you want to enable or disable.

  4. Click Enable Device to activate the device.
    Click Disable Device to deactivate the device.


Synchronize Devices

Synchronization compares the content of My Library and the active (attached and selected) portable device. If the active portable device is missing any files, RealPlayer will download the necessary copies to the device.

Synchronization can be performed manually or automatically.

  • To synchronize a device manually, select Synchronize Device from the sidebar in the Burn/Transfer page.

  • To allow RealPlayer to automatically synchronize files, first select Change Options... from the sidebar to open the Options dialog. Next, select the Synchronization tab, and then select Enable automatic synchronization... Thereafter, whenever a portable device is attached to your computer and RealPlayer is running, RealPlayer will synchronize My Library with the device.

Note: If your portable device does not support this function, you will not see the Synchronize Device command in the sidebar.

Synchronization Options

To change synchronization settings, select Change Options... from the sidebar and then select the Synchronization tab.

Option

Instructions

When to synchronize

Only allow manual synchronization...: Synchronization of files is done only when you select the function from the sidebar.

Enable automatic synchronization...: RealPlayer automatically performs a synchronization whenever it detects a portable device being attached to the computer.

What to synchronize

Click Select Content to choose from the files you want synchronized to the device.

All clips...: Synchronize all clips in My Library.

Individual playlist...: Synchronize only clips listed in the selected Playlist(s).

Select playlists: Click to select or cancel the Playlist(s) you want to synchronize.

Only synchronize my audio content (no video): Allow only audio files to be synchronized with the portable device.

Note: Only clips that link to local media files can be synchronized between My Library and the device.

How to synchronize

Do not delete files from my device...: If there are files on the device that are not in My Library, leave them on the device.

Allow files to be deleted from my device...: Add and delete files on the device to match My Library.

Synchronization prompts

Prompt me if my device is synchronized with another computer: Synchronizing your device with more than one computer could result in numerous file additions and deletions. Adjust How and What to synchronize accordingly.

Prompt me when synchronization completes: RealPlayer notifies you when all file transfers to the device are finished.

Additional options are available on the other tabs of the Change Options...dialog.


Now Playing

Now Playing shows which clips are currently queued to play and which clips have most recently been played. It can also be used as a scratch pad for creating playlists by dragging and dropping files, links, or clips from your computer's file folders, a Browser, or My Library to the list.

You can save the current Now Playing list for future use by saving it as a permanent Playlist in My Library. (See Save List Icon Save As Playlist... below.)

  • Click Now Playing Button in your RealPlayer Status display (located on the top of the Player) to open or close your Now Playing panel. When the Media Browser is open, Now Playing will appear on the left side of the Media Browser.

  • The Now Playing status bar: (at the bottom of Now Playing) displays the number of items in the list, the number of items selected, and the total play time of the selected items.

Note: Play time may not be shown for some clips until playback begins.

  • Click Detach Browser in the Now Playing panel to detach it from your Player (floating panel). Click Attach Browser to reattach the Now Playing panel to the RealPlayer.

Button

Description

Add Clips Icon

Opens Add Clips menu.

Add Clips... | Opens the Add Clip from My Library dialog. Select and add clips from My Library to the Now Playing list.
Add File... | Find and select a file or files to add to the Now Playing list.
Add Folder... | Select and add the contents of a folder to the Now Playing list. Select
Add URL... | Enter the location (on the Internet or local drives) of a clip to add to Now Playing.

Clear List Icon

Deletes all clips from list. (Note: Clips will remain in My Library.)

Save List Icon

Save as Playlist... | Saves the current Now Playing list as a Playlist in My Library.
Save As File... | Saves the current Now Playing list as an .m3u, pls, or .rmp file suitable for sharing with friends. (Import playlists with the File > Open menu.)

Edit

Opens the Now Playing list Edit menu.


Change Options

HELP

Change Device Options

You can configure RealPlayer to automatically convert music files to a specific bit-rate and/or media format when you copy the files to your portable device. You can also configure how your portable device stores and plays these music files. These and other options can be set from the Burn/Transfer page.

Note: If your portable device does not support this function, you will not see the Change Options command in the sidebar.

Step-by-Step: Change Options for a Portable Device

  1. From the Menu bar, select View > Burn/Transfer icon (Burn/Transfer).

  2. Select your device from the Current Burner/Device drop-down list.

  3. Click Change Options... in the sidebar. The Options dialog will appear. Select the desired conversion options. (See Options table.)

  4. Click OK to accept the changes and close the Options dialog.

Options

Tab

Instructions

General

Name your device: Allows you to enter a "friendly" name for your portable device.

Reset warnings and dialogs: Forces all transfer notification dialogs to be displayed again, even if you have seen them before or marked them as Do not display again.

Device Folder Options: When selected, transfers fo;es into artist folders and album subfolders on the portable device.

Transfer

Convert only when necessary (default is on): Converts clips only when the existing format is not compatible with the device. (The original file is unchanged.)

Always convert: Converts all the media you are transferring to the same format and bit-rate.

Format: Select a compatible format from the drop-down list.

Quality: Select the desired bit-rate from the drop-down list.

Note: If you do not have the CD-Quality MP3 plug-in installed, a link is provided.

When clips already exist..: Select which default action to take when a file to be transferred is already on the portable device. Options are to skip the next file to tranfer, overwrite the existing file, or prompt you for a decision for each attempted transfer. This option is only used during a manual transfer, not during Synchronization (see below).

Synchronization

The files listed in My Library and on the portable device are compared. If the files or playlists on the device do not match the list of files marked in My Library to be synchronized, files will be copied to and/or deleted from the device until the contents of the device are the same as the selection in My Library. (See Synchronize Devices for details.)


Configure Your Portable Device

You can configure RealPlayer to automatically convert music files to a specific bit-rate and/or media format when you copy the files to your portable music player or device. You can also configure how your portable device stores and plays these music files.

Note: This procedure is for queue and commit devices (devices that do not automatically synchronize their contents).

Step-by-Step: Configure your Portable Device

  1. From the Menu bar, select View > Burn / Transfer icon Burn/Transfer.

  2. Select your device from the Current Burner/Device drop-down menu at the top of the page.

  3. Click Configure Device... in the sidebar. The Configure dialog will appear. Select the desired options. (See Options table.)

  4. Click OK to accept the changes and close the Configure dialog.

Options

Option | Instructions
When to convert | Convert tracks only if necessary (default is on): Only converts tracks when the existing format is not compatible with the device. (The original file is unchanged.) Always convert tracks: Converts all the media you are transferring to the same format and bit-rate.
Convert Tracks To | Format: Select a compatible format from the drop-down list. Quality: Select the desired bit-rate from the drop-down list.


Play CD

HELP

Play a CD

In most cases, inserting a CD or DVD into your computer will automatically launch RealPlayer and begin playback. If your system does not have the Start Playback option enabled in the When Inserting a CD section of your CD Preferences, use the following step-by-step instructions to play a CD.

To Play a CD

  1. Place an audio CD into a CD drive.

  2. Select Play > Play CD or DVD [Drive X:] from the Menu bar for the desired drive. The tracks on the CD are then queued to the Now Playing list and played.

Note: RealPlayer can be configured to ask whether you want to save audio tracks each time you load a CD into a configured CD drive. (See Preferences> CD for details.)

Shuffle Play / Continuous Play

You can also choose to let RealPlayer play the tracks on a CD in a random order (shuffle) and/or play them continuously. Choose these options in the Play menu.


Burning CDs Premium Enabled

HELP

CD Burner Premium Features

When you burn a disc, you are transferring files to an optical disc (CD-R or CD-RW). You can transfer (burn) only media files that are on your computer, whether you are creating an audio disc or a data disc. This means you can transfer files that you have downloaded from the Internet or saved to My Library, but you cannot transfer media that is streamed to your computer.

Premium disc burning features are marked with : Premium Feature

Premium CD Type

Premium CD burning gives you the ability to create MP3 CDs:

CD Type | Description
MP3 CD Premium Feature | MP3 Mode converts (as necessary) and saves selected audio files into MP3 format, creating a CD that can be played on standard MP3 capable players. RealPlayer uses the closest equivalent bit-rate during file conversion.

Premium Options

The following options are specific to the CD Type you have selected:

CD Type

Available Options

Audio CD

Crossfade Premium Feature | Overlaps the end of each track with the beginning of the next. Enter the number of seconds of overlap.
Audio Filters Premium Feature | Adjusts the volume of each track so they all have the same volume.

MP3 CD Premium Feature

Drive Options | Select the write speed, or alternately, click Advanced Options to modify the CD Burner Preferences.
Disc Options | CD Name: Adds a name to your disc. Create a multi-session disc: Allows you to add additional tracks at a later time by not finalizing the disc.
MP3 CD Playlist Options | Adds playlists to the disc (M3U format) based on the clip info for the files to be burned onto the CD; one playlist for each artist or artist and album.
MP3 CD Folder Options | Organize MP3 files on the disc in folders, based on clip info about the artist and album. Select no folders, folders by artist, or folders and subfolders by artist and album. You can also have playlists (from the previous option) placed into their own folder.

Data CD

Drive Options | Select the write speed, or alternately, click Advanced Options to modify the CD Burner Preferences.
Disc Options | CD Name: Add a name to your disc. Create a multi-session disc Premium Feature : Allows you to add additional tracks at a later time by not finalizing the disc.
Data CD Folder Options | Do not organize files in folders..: Puts all files in the root, or top-level, of the CD. Organize files... Premium Feature : Organize media files on the CD in folders based on clip info about the artist and album. Select folders by artist, or folders and subfolders by artist and album.

Additional CD Tasks

The following command is available in the Additional CD Tasks drop-down menu, and is also a Premium Feature:

Command | Description
Print Jewel Case Premium Feature | Opens the Print Jewel Case dialog.


Convert Media Format

HELP

Convert Media Format Premium Feature icon

Convert Media, a Premium Feature, allows you to change the format and quality level of the media files associated with your media clips. You can convert audio media from any supported format (except secure formats) into MP3, RealAudio, and Wave formats.

Note: Video files can be converted into only audio format files. The video content will not be copied.

Use Convert Media to:

  • Reduce the amount of disk space that your audio files use.

  • Change the quality level of your audio and video clips.

  • Prepare audio files for transfer to a portable device.

  • Save the audio portion of a video file.

Step-by-Step: How to Convert Media

  1. Select View > My Library [image] from the Player menus.

  2. Select the clip(s) you wish to convert.

  3. From the Tools menu, select Convert Media Format ... (The Convert Media info dialog appears when you first use this feature. Click Continue to open the Convert Media Format dialog.)

  4. Under New Clip, change the Clip Name, Format and/or Quality level as desired. (When multiple clips are selected, Clip Name cannot be changed.)

  5. Choose Additional Options (such as Clip Info, Erase the current clip, or Create a new playlist) if desired.

  6. Click OK to convert your clip(s).

Note: The Convert Media option is not available while clips are playing or paused. The VBR (Variable Bit-Rate) option is available only with MP3 files.

Caution: Convert Media is an advanced feature and should be used with care. Some Convert Media actions will result in the loss of data (quality) and/or the deletion of files.


CD Preferences

HELP

Preferences: CD

These preferences control how and when CD tracks are saved, and whether track information is gathered automatically from the Internet when you insert an audio CD into your CD drive.

Option

Description

When Inserting a CD

Start Playback: (Default is On) RealPlayer will automatically begin playback whenever you insert a CD into your CD/DVD drive.

Note: Your setting for Auto Insert Notification in Windows will override this preference.

Prompt to Save CD: (Default is On) The first time you insert an audio CD into a CD drive, RealPlayer will prompt you to save the audio tracks into your media collection. (You will not see the prompt again for the same album).

Additional CD Options...

Get CD Info | (Default is On) Get CD Info from the Internet when a new CD is inserted. (You must be online.)
Automatically start CD playback when saving | (Default is On) Play CD tracks while saving them from a CD.
When done saving, eject the CD | (Default is Off) Eject CD from drive when Player has finished saving tracks.
When done saving, play a sound | (Default is On) Play a *.WAV file to indicate that the Player has finished saving tracks.
Pick Sound | Browse your computer's folders to select a suitable *.WAV file to play when RealPlayer is done saving tracks. (Available only if Play a Sound is selected.)

When Saving a CD to My Library

Select a Format:

(Default is M4A) Choose which music file format RealPlayer will use when saving CD tracks to your media library. Files will be saved in the folder that you define in the File Locations section of your General Preferences.

Note: If you do not have the CD-Quality MP3 plug-in installed, a link is provided.

Select a Quality Level:

(Default is 192 kbps Stereo) Select a Quality Level (bit-rate) to use when saving tracks. Increasing the quality level also increases the size of the files that you save.

Quality Level | Shows relative quality compared to a CD.
Disk Space per CD | Refers to the total disk space needed to save a typical audio CD. (For comparison purposes only.)
Disk Space Left | An estimate of how many CDs, of the selected quality, that could be saved in the default save location (as set in General Preferences), based on the current disk space available.

Constant Bitrate or Variable Bitrate: Select one or the other when saving MP3 files. (See Audio Formats and Quality for more information.)


CD Burner Preferences

HELP

Preferences: CD: CD Burner

Use these preferences to select the CD-RW drive and control options that RealPlayer will use when burning (writing) custom CDs.

Option

Description

Default Recordable Drive

Select the default drive from the drop-down list.

Drive Information..: Show specifications for the default drive.

Write Speed: Select the desired CD write speed from the drop-down list. (The drop-down list shows the available speeds for the default drive.)

Enable test mode: When enabled, your drive will perform all the actions of burning a CD, but will not actually write anything to the blank disc. This mode can be used to determine the best speed (above) without having to lose any discs to buffer underrun errors or other issues.

Recordable Drive Options

Select the preferred CD writing options. (Some options may not be available with the selected drive.) These options are applied to the active CD-Recordable drive.

Eject the CD at the completion of each burn: The CD will be ejected at the end of each CD writing session, whether the CD has been finalized or not.

Always use 'quick erase' to erase rewritable CDs: When using RealPlayer to erase a CD-RW, only the TOC will be erased (QuickErase), rather than reformatting or otherwise destroying the existing files.

Enable buffer underrun protection: Turns on the underrun protection feature of your drive, if available. (See Drive Information above.) The CD write speed is actively adjusted to prevent buffer underrun, but the audio quality may be impaired.

Always use Track at Once (TAO) for audio CD burning (Default is Off): Turns off Disk at Once (DAO) burning, which is much faster, but may cause problems on some drives. If your drive does not support DAO burns, the TAO option will automatically be selected and unavailable for change.

Recently Burned CDs

Store the CDs..(Default is On): Select to have RealPlayer save information about recently burned CD, including the tracks burned and the CD type. The CD History of recently burned CDs is available at the bottom of the Add Tracks from My Library list in the CD Burner.

Number of CDs: Select the number of recently burned CDs to remember.

Clear list: Click to clear CD History.


Troubleshooting Main Page

HELP

Troubleshooting

Everyone needs help at some time. We have included the answers to some common issues in this file. See the Troubleshooting book in the Table of Contents in the left pane for a list of the included topics.

In addition, RealPlayer Customer Support offers an easily-navigated database of problems, solutions, and Frequently Asked Questions (FAQs). RealPlayer Customer Support is available at: http://service.real.com/realplayer/.

For the latest information about Real products, visit the Real home page: http://www.real.com.

See Also

The RealPlayer Readme file may have additional information about known issues and solutions that were not available when this file was created. The Readme.html file is in the same folder as your RealPlayer, and is available from the RealPlayer Folder of your Windows Start Menu (Click Start, select Programs > Real > RealPlayer > RealPlayer Readme).


Error - AVI file has an unsupported audio or video format

HELP

Why do I receive the error message "You are attempting to play back an AVI file that has an unsupported audio or video format"?

The description "AVI file" does not describe a single format. AVI files can contain audio and video in many different formats.

If RealPlayer can play only some of the selected file, this warning is displayed and the supported portion of the file continues to play. The purpose of this warning is to notify you that only part of the requested file is playing back (for example, just the audio or just the video, but not both).

Partial playback occurs when your system does not have the required codec installed to play back the audio or video portion of the file.

If you are having problems viewing the video portion of your file, it is most likely using the DIVX codec. Although other video codecs can cause the warning, DIVX is the most common.

To get the latest DIVX codec, go to http://www.divx.com and download the latest DIVX application from their site, which will include their codec.

If, after installing the DIVX, you are still unable to play both audio and video, contact the creators of the file and find out which codec they used and where it can be obtained.


Error - No Connection

HELP

Why do I receive "cannot connect" error messages?

Symptom

While attempting to play media from a link, you receive one of the following error messages:

  • Cannot connect to server.
  • Cannot connect to server, the link you requested may be inaccurate or out-of-date.
  • Connection to the server could not be established. You may be experiencing network problems.
  • Connection to server has been lost. You may be experiencing network problems.
  • Connection to server has timed out. You may be experiencing network problems.
  • Unable to connect to server.
  • Unable to establish a connection with the server.

Explanation

Connection errors that occur on specific sites or that only occur once in a while are not usually a cause for concern. Occasional errors tend to occur when traffic is high on the Internet, the site hosting the files is down, or the site hosting the file has been moved.

Connection errors that occur at all sites on a recurring basis indicate a problem with RealPlayer connection configuration or your Internet connection. To allow RealPlayer to connect, you may need to reconfigure RealPlayer or your security software.

If you get one of these errors, it may mean that RealPlayer did not receive enough information to maintain a connection to the server, or that RealPlayer stopped receiving information from the server for an extended period and could not maintain the connection. The problem could be caused by excessive network traffic on the Internet, your Internet Service Provider (ISP), or a local area network (LAN) connection.

Solution 1: Determine whether the problem is with the specific file.

To rule out a problem with the file itself, try playing sample files:

  1. Open http://service.real.com/realplayer/test/in your web browser.
  2. Click the links that match your connection speed. Dial-up modem users should choose the 28 K or 56 K links.

If the sample files play, then the problem may be with the specific Web site, or with the file you were trying to play. This may be a temporary problem of high traffic or technical difficulties. Try again later, or contact the webmaster of the site to alert them to the problem.

Solution 2: Check RealPlayer’s online status setting.

RealPlayer detects online status by default. If this detection fails, RealPlayer may be incorrectly set to Work Offline mode. If you are using a network connection or have a cable modem or DSL connection, you can override this detection and force RealPlayer to assume you are online all the time.

To change the online status of RealPlayer:

  1. In RealPlayer on the Tools menu, click Preferences. The Preferences dialog opens.
  2. Under Category, click Connection.
  3. Click to select Assume I am online.
  4. Click OK.
  5. Restart RealPlayer.

Solution 3: Test your connection speed.

  1. In RealPlayer, click the Tools menu, and then select Preferences. The Preferences dialog opens.
  2. Under Category, click Connection.
  3. Click Test Connection, then Perform Test to determine your current connection speed.
  4. Click Update to set your minimum bandwidth preference.
  5. Click OK.
  6. Try to play the clip again.

Solution 4: Increase the time-out settings, and try playing the clip again.

  1. In RealPlayer, click the Tools menu, and then select Preferences. The Preferences box opens.
  2. In the Category pane, click Connection.
  3. Under Network Time-out, increase the time-out settings by 10 seconds.
  4. Click OK.
  5. Try to play the clip again.
  6. If you still have problems, increase the time-out settings by another 10 seconds and try again.

Keep trying until the clip plays or it becomes obvious that increasing the time-out settings will not resolve this problem. Increasing this time also increases the time you wait for a time-out message to appear.

Solution 5: Play the clip when the network and Internet are less busy.

If you are unable to play the clip after trying these suggestions, try connecting to the clip at a different time.

Solution 6: Configure your personal firewall or security software to allow RealPlayer access to the Internet.

Firewalls must be configured to allow realplay.exe to have two-way access to the Internet before audio or video can be played. Consult the manufacturer of your firewall software if you are unsure how to grant this access.

Additional information can be found on our Customer Support site at: http://service.real.com/firewall/.

Solution 7: Verify that your corporate firewall or proxy allows RealPlayer access to the Internet.

Corporate local area networks (LANs) or commercial Internet Service Providers (ISPs) often use a firewall or proxy to limit traffic and protect their users' computers from unauthorized access. If these ports are specifically restricted by your firewall, you will need to configure your Connection Preferences to use your firewall’s settings.

By default, the RealPlayer uses the following ports to connect:

TCP 80, 554, 4040, 7070, 8080, 443 (SSL for sign in), 1755 (MMS Windows Media requests)
UDP 6970-32,000, 1755 (MMS Windows Media resend requests)
HTTP 80 (AU, Messaging Service, and HTTP Cloaking)

RealPlayer configurations will override these defaults. Contact your network administrator for further assistance.

Additional information can be found on our Customer Support site at: http://service.real.com/firewall/.

Solution 8: Contact your ISP or network administrator for assistance.

If you are still unable to connect, the problem may be with your computer network settings. Contact your ISP or network administrator for the information you need to regain connection.


Error - Cannot open audio device

HELP

Why do I receive the error message "Cannot open audio device" when using RealPlayer?

Symptoms

RealPlayer uses the sound card to record and play back media files. If the sound card is in use by another program, or if RealPlayer cannot detect the sound card, the following message appears: "Cannot open audio device. Another application may be using it."

Solutions

Verify that no other programs are using the sound card, check for incorrect or missing sound card drivers, and update older sound card drivers.

Solutions

Usually, closing other programs that may be using the sound card eliminates this problem. If not, make sure your sound card is working properly, and update any older sound card drivers.

Solution 1: Close other programs that may be using the sound card.

Windows 2000, XP:

  1. On the Windows taskbar, click Start, and then click Run.
  2. Type "taskmgr" in the dialog box, and then click OK.
  3. Click the Applications tab.
  4. Click each program (except RealPlayer) to highlight it, and then click End Task.
  5. Attempt to replay the content.

Windows 98SE, ME:

  1. On the Windows taskbar, click Start, and then click Run.
  2. Type "taskmgr" in the dialog box and click OK.
  3. Click each program and select End Task from the Windows menu. (Do not end Systray and Explorer, which are needed by your computer.)
  4. Attempt to replay the content.

If no other program is using the sound card, the error is most likely caused by the system's sound card drivers being improperly installed, incorrectly configured, or not current enough to be compatible with RealPlayer. The following solutions will help you troubleshoot the problem.

Solution 2: Check for incorrect or missing sound card drivers.

Look in your sound card documentation for driver descriptions, and then see Windows Help to find out how to check for incorrect or missing sound card drivers.

Solution 3: Update older sound card drivers.

RealPlayer is designed to take advantage of the latest advances in driver technology. Older drivers can cause unexpected errors.

If the installed driver is more than six months old, it may not be compatible with RealPlayer. Update the sound card driver on your system.

Driver updates are usually available for free download from manufacturers' web sites. The drivers are usually updated every few months. After installing the drivers, restart your computer so that the configuration changes take effect.


Error - Decompressor Not Found

HELP

Why do I receive a "decompressor not found" error?

This error appears if the codec, the interpreter that turns the computer code into sound and video, for that file type is not installed on your computer.

Codecs are often installed as separate components, or plug-ins, to software because they plug in to other software programs to accomplish specific things, such as playing back a clip. Popular codecs include RealAudio and MPEG Audio; files created using these codecs use file extensions .rm and .mp3 respectively.

RealPlayer comes with the codecs needed to play its standard file types. More codecs are available for automatic or manual download as needed through AutoUpdate. If a particular codec is not available via RealNetworks, you may need to contact the content provider directly to obtain the appropriate plug-in for your RealPlayer.


Error - General Error

HELP

Why do I receive a "General Error" message when playing clips with RealPlayer?

Symptom

You might receive a "General Error" message when using RealPlayer if the clip you are playing is unavailable or damaged, or if you have a damaged installation of RealPlayer.

Solutions

To correct this problem, verify whether the error occurs with all clips and whether you have a correctly installed sound card with the proper sound drivers. It may be necessary to remove and reinstall RealPlayer.

Solution 1: Determine if the problem is with the file or with your system.

To rule out a problem with the file itself, try playing sample sound files:

  1. Connect to the Internet.
  2. Open http://service.real.com/realplayer/test/ in your web browser.
  3. Click the links that match your connection speed.
    Note:     Dial-up modem users should choose the 28 K or 56 K links.

If the sample sound files play, the problem may be with the specific file you were trying to play.

You will also receive a "General Error" message if the file you are attempting to play is on a network drive that is not connected.

Try re-recording (or redownloading) the clip to correct this problem.

If the sample sound files do not play, the problem is most likely with the sound card drivers on your computer or your RealPlayer.

Solution 2: Update older sound card drivers.

RealPlayer is designed to take advantage of the latest advances in driver technology. Older drivers can cause unexpected errors.

If the installed driver is more than six months old, it may not be compatible with RealPlayer. Update the sound card driver on your system. Driver updates are usually available for free download from manufacturers' web sites. The drivers are usually updated every few months. After installing the drivers, restart your computer so the configuration changes take effect.

If updating your sound card drivers does not fix the problem, you may need to completely remove RealPlayer from your system. (You can reinstall it later.)

Solution 3: Remove and reinstall RealPlayer.

If the problem appears to be caused by damaged RealPlayer application files, removing and then reinstalling RealPlayer can resolve these problems.


Error - Unsupported file type

HELP

Why do I receive an "Unsupported file type" error message?

RealPlayer could not recognize a file that you tried to access. By default, RealPlayer can play RealAudio, RealVideo, and MPEG files. RealPlayer can also play other media types if the appropriate plug-ins and codecs (compression/decompression systems) are installed.

However, RealPlayer cannot play files that your computer does not recognize. To install the codecs required for your system to recognize other types of files, download and install the media player that was originally designed to play back that media.

To install these codecs for your system, choose one from the following list of media players with commonly-used codecs:

QuickTime Player
Visit Apple's QuickTime site to download.

Windows Media Player
To get the Player, visit Microsoft's free download site.

Once the codecs are installed, premium users can use the Universal Media Playback feature to play all supported media types with RealPlayer.

To enable Universal Media Playback:

  1. Open RealPlayer.
  2. On the Tools menu, click Preferences. The Preferences dialog opens.
  3. In the Category area under Content, click Media Types.
  4. Select When clicking media in the RealPlayer Media Browser, play in Real Player.
  5. Click OK.


How can I play DivX files?

HELP

How do I get RealPlayer to play video and movie files that were created using the DivX, Div3, or Div4 codecs?

To play DivX, Div3, or Div4 files on your computer, you need to install additional software: the DivX codec that allows the video to play. You can download and install the appropriate DivX codec for your operating system from the DivX Video Bundle page. After the codec is installed on your computer, you can use RealPlayer to play the DivX clip.

If you try to play a DivX file without the codec installed and the audio of the clip is encoded as an MP3 or another supported audio type, the audio will play but the video will not. Only a black screen will appear. After the DivX codec is installed, the video will play correctly.


Why does RealPlayer have problems or crash when I try to play a video clip?

To deliver the best video in the fastest possible way, RealPlayer uses the latest optimized video protocols. Not all video cards or their drivers will function properly with this optimized approach. If a video card or its drivers are incompatible, you may see unexpected results. (See Symptoms below.

Symptoms

The Player crashes (shuts down or freezes unexpectedly) and "Invalid Page Faults" occur when you try to play a video. These steps also can resolve distorted video.

Explanation

These problems occur when your computer is using a video card that does not understand the instructions that RealPlayer is giving to it.

Solutions

You may be able to resolve this problem by:

  • Setting your video display to 16-bit color.
  • Updating your video card drivers.
  • Installing the latest version of DirectX.
  • Lowering the hardware acceleration of your video card.
  • Disabling optimized video in RealPlayer.

Solution 1: Set your video display to 16-bit color.

RealPlayer requires 16-bit (65,000-color) color depth. If the video card is not capable of this, you will receive an error message when you start RealPlayer that requests that you increase the video resolution.

To check your color settings:

  1. Click Start, point to Settings, and then select Control Panel.
  2. Double-click the Display icon.
  3. Click the Settings tab.
  4. Select High Color (16 bit), True Color (24 bit) or True Color (32 bit) in the color list.
  5. Click OK.
  6. Restart your computer if prompted.

Solution 2: Update your video card drivers.

Video cards use driver software to send information from the computer to the video card. Drivers that are out-of-date, damaged, or not DirectX-compatible can cause video problems. Update your video card drivers, and visit the video card manufacturer's web site to verify that you are using the latest DirectX-certified drivers.

Solution 3: Install the latest version of DirectX.

DirectX is another set of drivers that sends information from the computer to your video card. RealPlayer uses the DirectDraw features of DirectX to optimize the video presentation. DirectX is a component of the Windows Operating System. If the DirectX components are out-of-date or damaged, RealPlayer can crash or display the video incorrectly. Install the latest version of DirectX from http://www.microsoft.com/directx.

Solution 4: Lower the hardware acceleration. (Windows 98 only)

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click the System icon.
  3. Select the Performance tab. Click the Graphics button.
  4. Adjust the Hardware Acceleration slider to the Basic or None level.
  5. Click OK.

If the problem no longer occurs after changing this setting, leave your system on this setting. If it does not resolve the problem, set it back to where it was. The Basic or None setting is more compatible than Full in most cases, but setting it at Basic or None disables some advanced features of the video card.

Solution 5: Disable optimized video

If you have tried the solutions above and are still having problems playing video, they may be caused by a video card that uses WinDraw drivers instead of DirectDraw drivers. Disabling optimized video in RealPlayer will improve compatibility for video cards that are not DirectDraw-compatible.

To disable optimized video in RealPlayer:

  1. On the Tools menu, click Preferences.
  2. Under Category, click Hardware.
  3. In the Video Card Compatibility area, adjust the slider to the left-most (Most Reliable) position.
  4. Click OK.
  5. Restart your computer.


Why is my video not displaying or being distorted?

HELP

Why is my video distorted or not displaying?

To deliver the best video in the fastest possible way, RealPlayer uses the latest optimized video protocols. Not all video cards or their drivers will function properly with this optimized approach. If a video card or its drivers are incompatible, you may see unexpected results (see Symptoms below).

Symptoms

Incompatibility with optimized video usually displays itself in one of the following four ways:

  • You do not see any video in the RealPlayer Presentation Area. All you see is an empty, magenta square.
  • You do not see any video in RealPlayer, only a snowy picture that moves.
  • You see video in RealPlayer, but it has a green tint to it, and it may be distorted so that you see only stripes of the video or only part of an enlarged picture as if you were looking through a hole at a larger screen.
  • You see video in RealPlayer, but it is stretched vertically or horizontally in only one direction, distorting the picture into a long, flat picture or a tall, thin one.

If you are experiencing one or more of these symptoms, read and perform the test below to be sure that the problem is the use of optimized video and not some other conflict.

Confirming the problem

After seeing any or all of the above symptoms, do the following to make sure that the issue is an optimized video:

  1. Select a video clip or click Play button to start playing a loaded video clip.
  2. Wait until the video is exhibiting one of the above symptoms.
  3. Click and hold on the menu bar the top of RealPlayer.
  4. Drag RealPlayer to a new location on your desktop.

IF you saw the video playing properly while you were dragging your RealPlayer but the problems reappeared when you stopped dragging your RealPlayer (or shortly after you stopped dragging it), do the following:

  1. Select Tools > Preferences from the RealPlayer menu.
  2. Select Hardware and look in the Video Card Compatibility area.
  3. Click and drag the slide bar to Most Reliable. (This will disable optimized video.)
  4. Click OK.
  5. Attempt to play the video again.

If you still do not see the video playing properly, other issues may be affecting your RealPlayer. Contact Technical Support at http://service.real.com/realplayer/ for access to the RealPlayer Frequently Asked Questions (FAQ) and other up-to-date and technical information.

If you update or change your video driver or video card, you should again select Use optimized video display to see if it works properly. If it does not, follow the procedures above again to solve the conflict.

If these steps do not solve your issue, try the additional steps in Why does RealPlayer have problems or crash when I try to play a video clip?


Why is there no sound when I try to play an audio CD with RealPlayer?

If you are unable to hear audio playback when you play an audio (music) CD with RealPlayer, try checking and adjusting the system volume, trying to play other types of files, and playing other standard audio CDs. You can also check the sound card for device conflicts, close programs in the background, verify your hardware setup, and check the setup of the sound card drivers.

Solution 1: Check that your system volume is not muted or set too low.

RealPlayer plays sound by using the Wave Out controls of your sound card. If the Play Control/Volume Control sliders are muted, RealPlayer will not play sound. To adjust your system volume setting, you will need to access the speaker icon on your taskbar:

To add the speaker icon to the Windows XP taskbar:

  1. Click Start, then Settings, and then Control Panel.
  2. Click Sounds and Audio Devices.
  3. Click the Volume tab
  4. Select Place volume icon in the taskbar, and then click OK.

To add the speaker icon to the Windows 98SE taskbar:

  1. Click Start, then Settings, and then Control Panel.
  2. Click Multimedia.
  3. Click the Audio tab.
  4. Select Show volume control on the taskbar, and then click OK.

To make sure the volume is not muted on your system:

  1. Double-click the speaker icon in the taskbar, in the lower right corner of your screen.
  2. In the Play Control / Volume Control dialog box, make sure that all of the Mute boxes are clear.

If the Play Control/Volume Control dialog box does not display the Play Control/Volume Control or Wave sliders, add them:

  1. Double-click the speaker icon, select the Options menu, and choose Properties.
  2. In the Show the following volume controls section, select Play Control/Volume Control and Wave.
  3. Click OK.

Solution 2: Try playing other files.

To rule out a problem with the file itself, try playing sample sound files:

  1. Open http://service.real.com/realplayer/test/ in your web browser.
  2. Click the links that match your connection speed. Dial-up modem users should choose the 28 K or 56 K links.

If the sample files play, then the problem may be with the specific file that you were trying to play.

Solution 3: Try playing other standard audio CDs.

You might experience audio playback problems when you try to play CDs that you or a friend recorded. Try playing a standard commercially-recorded CD to find out if the problem is related to the homemade CD. If the CD-ROM drive has a volume slider, make sure the volume is turned up.

If the commercially-recorded CD plays while the homemade one does not, the problem is likely with the homemade CD.

Solution 4: Check the sound card for any conflicts with another device.

To check the status of your sound card:

Windows 2000 and XP:

  1. Click Start, then Settings, and then Control Panel.
  2. Double-click the System icon. (In Windows XP: Click Switch to Classic View, and then double-click the System icon.)
  3. Click the Device Manager tab. (In Windows 2000 and XP, click the Hardware tab, and then click Device Manager.)
  4. Double-click Sound, video and game controllers, then double-click the sound card (Windows 2000 and XP, Audio Codecs) icon to open the Properties dialog box.
  5. On the General tab, make sure that the Device Status message is "This device is working properly." If the device is not working properly, contact the sound card or computer manufacturer for further assistance.
  6. Under Device Usage, make sure that the Disable in this hardware profile option is not selected. The Device Usage field should indicate Use this device (enable).

Windows NT:

  1. Click Start, then Settings, then Control Panel, and then Multimedia.
  2. Click the Device tab, and then click the plus (+) sign next to the Audio devices.
  3. Right-click your sound card, and then click Properties.
  4. Compare the window's contents with sound card driver descriptions in the sound card documentation.
  5. If the Device Status message states that the device is not working properly, contact your sound card or computer manufacturer for further assistance.

Solution 5: Close background programs.

RealPlayer may not be able to access the sound card if another program is using it. Temporarily disabling these programs may allow RealPlayer to play sound. See your Windows Help for how to close programs running in the background.

Solution 6: Verify your hardware configuration by playing the CD with Windows CD (Windows Media) Player.

The CD-ROM drive plays the music CD and sends the sound directly to the sound card via a small cable known as the CD audio cable, bypassing the computer's processor. If you are using an external CD-ROM drive without a CD audio cable, or if that cable is damaged or disconnected, Windows programs will be unable to play music from CDs.

To verify that the CD audio cable is working correctly:

  1. Place an audio CD in the CD-ROM drive and close the drive.
  2. Click Start, then Programs, then Accessories, then Multimedia (Entertainment), and then click CD Player. (In Windows XP: Accessories > Entertainment > Windows Media Player.)
  3. In the (Windows Media Player) CD Player window, click Play.
  4. If you do not hear sound, plug headphones into the jack on the front of the CD-ROM drive.

If sound plays through the headphones but not through your computer's speakers, your CD audio cable is not working correctly. Contact your hardware manufacturer for assistance.

Solution 7: Update your sound card drivers.

Your computer uses driver software to send information to the sound card. If the driver software is out-of-date or corrupt, RealPlayer may not be able to play sound. We recommend that you update your sound card drivers on a regular basis. Visit your sound card manufacturer's web site to verify that you are using the latest drivers.

If you are unsure where to download drivers for your computer's hardware devices, go to the Help Drivers site at http://www.helpdrivers.com to see a list of the newest drivers released from most major hardware manufacturers. This site also provides general information about drivers and instructions on installing drivers.

You can also go to the WinDrivers site at http://www.windrivers.com for a list of updated drivers.


Why does sound playback distort or skip with RealPlayer?

If you are experiencing problems with poor playback quality while streaming content, it may be related to the file itself, or to heavy traffic on the Internet, or the web site you are playing the clip from is very busy, or your Internet connection is not fast enough to play the clip smoothly. You can try connecting to the site at a different time or increase the speed of your Internet connection.

The poor playback quality may also be caused by problems with your sound card or sound settings. To improve the quality of playback, you can try playing other files, checking your connection and your sound card, updating your sound card, and disabling 16-bit sound and custom sampling rates.

Solution 1: Try playing other files.

To verify that the problem is not with the file you are trying to play, try playing other files on the Internet. You can find sample files with sound at http://service.real.com/test. If other files play, the problem may be with the specific file you were trying to play.

However, if the problem persists with all content, changing some sound settings in RealPlayer or updating the computer's sound card drivers will help resolve the problem.

Solution 2. Ensure that your connection is set to the correct setting.

In RealPlayer you can check the speed of your connection and have it set to match automatically:

  1. On the Tools menu, click Preferences. The Preferences box opens.
  2. In Category, click Connection.
  3. Click Test Connection.
  4. Click Perform Test.
  5. Click the Update button to automatically set your RealPlayer connection speeds to match your computer's.
  6. When the test finishes, click OK to close the Preferences box.

    If RealPlayer has detected any settings that are incorrect, it now shows you those settings.

Solution 3. Check the sound card for any conflicts with another device.

Read the sound card documentation for driver descriptions to make sure that your configuration is correct.

To check the status of your sound card, and see how it is configured:

Windows 2000, XP:

  1. On the Windows taskbar, click Start, then Settings, then Control Panel, then System.
  2. Click the Hardware tab, and then the Device Manager button.
  3. Click the plus (+) sign next to Sound, video, and game controllers.
  4. Right-click your sound card, and then click Properties.
  5. Compare the window's contents with sound card driver descriptions in the sound card documentation.
  6. On the General tab, make sure that the Device status message is "This device is working properly."

    Note:     Windows 2000: Make sure that Use this device (enable) is also selected.

If the Device Status message states that the device is not working properly, contact your sound card or computer manufacturer for further assistance.

Windows 98:

  1. On the Windows desktop, right-click My Computer.
  2. From the shortcut menu, choose Properties.
  3. Click the Device Manager tab.
  4. Click the plus (+) sign next to Sound, video, and game controllers.
  5. Right-click (Win 95: double-click) your sound card, and then click Properties.
  6. Compare the window's contents with sound card driver descriptions in the sound card documentation.
  7. On the General tab, make sure that the Device Status message is "This device is working properly."
  8. Under Device Usage, make sure the Disable in this hardware profile check box is cleared.

If the Device Status message states that the device is not working properly, contact your sound card or computer manufacturer for further assistance.

Notes:
If the installed drivers do not match, we recommend that you reinstall the sound card drivers.
f you see a yellow ! or red X, there is a problem with the sound card. Contact the manufacturer of the sound card for assistance.

Solution 4: Update your sound card drivers.

Your computer uses driver software to send information to the sound card. RealPlayer may not be able to play sound if the driver software is out-of-date, corrupt, or has other problems. To resolve these issues, we recommend that you update your sound card drivers on a regular basis. To verify that you are using the latest drivers, contact your sound card manufacturer or visit their web site.

Solution 5. Disable 16-bit sound.

  1. Open RealPlayer.
  2. On the Tools menu, click Preferences. The Preferences dialog opens.
  3. Under Category, click Hardware.
  4. In the Sound Card Compatibility section, click Settings.
  5. Clear the Disable 16-bit sound check box.
  6. Click OK, then OK again.
  7. Try using RealPlayer again to see if it improves the quality of audio playback.

Solution 6. Disable custom sampling rates.

If disabling 16-bit sound does not improve audio playback:

  1. Open RealPlayer.
  2. On the Tools menu, click Preferences. The Preferences dialog opens.
  3. Under Category, click Hardware.
  4. In the Sound Card Compatibility section, click Settings.
  5. Select the Disable custom sampling rates check box.
  6. Click OK, then OK again.
  7. Try using RealPlayer again to see if it improves the quality of audio playback.

This option is best if the audio clips play at the wrong speed, but it increases CPU usage. You may also want to check with your ISP to see if they have plans to upgrade their equipment in the future.


Why do I hear no sound when I play files with RealPlayer?

You may not hear sound when playing files with RealPlayer if there are problems with the particular file you are playing or with your system's sound configuration, or if the sound card drivers are out-of-date. To resolve this problem, you may need to check and adjust the system volume, play other files, check the sound card for device conflicts, close other programs, or update your sound card drivers.

Solution 1: Check that your system volume is not muted or set too low.

To adjust your system volume levels, access the speaker icon on your taskbar (where the time appears). If you have Windows XP and you do not see the speaker icon on your taskbar, see your Windows Help to learn how to access it..

RealPlayer plays sound using the Wave Out controls of your sound card. If the Play Control (Volume Control) sliders are muted, RealPlayer will not play sound.

To make sure the volume is not muted on your system:

  1. Double-click the speaker icon next to the clock in the lower right corner of your screen.
  2. In the Volume Control dialog box, make sure that all of the Mute boxes are clear.

If the Volume Control does not display the Volume (or Master) Control or Wave sliders, add them:

  1. Double-click the speaker icon, select the Options menu, and choose Properties.
  2. In the Show the following volume controls section, select Volume Control and Wave.
  3. Click OK.

Solution 2: Try playing other files.

To rule out a problem with the file itself, try playing a sample sound file:

  1. Open http://service.real.com/realplayer/test/ in your web browser.
  2. Click the links that match your connection speed. Dial-up modem users should choose the 28 K or 56 K links.

If the sample files play, the problem may be with the specific file that you were trying to play.

Solution 3: Check the sound card for any conflicts with another device.

To check the status of your sound card:

Windows 2000 and XP:

  1. Click Start, then Settings, and then Control Panel.
  2. Double-click the System icon. (In Windows XP, click Switch to Classic View, and then double-click the System icon.)
  3. Click the Device Manager tab. (In Windows 2000 or XP, click the Hardware tab, and then click the Device Manager button.)
  4. Double-click Sound, video and game controllers, then double-click the sound card (Windows 2000 or XP, Audio Codecs) icon to open the Properties dialog box.
  5. On the General tab, make sure that the Device Status message is "This Device is Not Working Properly." If the device is not working properly, contact the sound card or computer manufacturer for further assistance.
  6. Under Device Usage, make sure that the Disable in this hardware profile option is not selected. The Device Usage field should indicate Use this device (enable) or Exists in all hardware profiles.

Windows NT:

  1. Click Start, then Settings, then Control Panel, and then Multimedia.
  2. Click the Device tab, and then click the plus (+) sign next to the Audio devices.
  3. Right-click your sound card, and then click Properties.
  4. Compare the window's contents with sound card driver descriptions in the sound card documentation.
  5. If the Device Status message states that the device is not working properly, contact your sound card or computer manufacturer for further assistance.

Solution 4: Close background programs.

RealPlayer may not be able to access the sound card if another program is using it. Temporarily disabling these programs may allow RealPlayer to play sound.

Solution 5: Update your sound card drivers.

Your computer uses driver software to send information to the sound card. If the driver software is out-of-date or corrupt, RealPlayer may not be able to play sound. We recommend that you update your sound card drivers on a regular basis. Visit your sound card manufacturer's web site to verify that you are using the latest drivers.

If you are unsure where to download drivers for your computer's hardware devices, go to the Help Drivers site at http://www.helpdrivers.com to see a list of the newest drivers released from most major hardware manufacturers. This site also provides general information about drivers and instructions on installing drivers.

You can also go to the WinDrivers site at http://www.windrivers.com for a list of updated drivers.


How do I check for incorrect or missing sound card drivers?

Look in the sound card documentation for driver descriptions to make sure that your configuration is correct.

To check the status of your sound card, and see how it is configured:

Windows 2000, XP:

  1. On the Windows taskbar, click Start, then Settings, then Control Panel, then System.
  2. Select the Hardware tab.
  3. Click Device Manager.
  4. Click the plus [+] sign next to Sound, video, and game controllers.
  5. Right-click your sound card, and select Properties.
  6. Compare the information in the dialog with your sound card driver descriptions in the sound card documentation.
  7. On the General tab of the Systems Properties dialog, make sure that the Device status message is "This device is working properly."

    Note:     In Windows 2000, confirm that Use this device (enable) is selected.

If the Device Status message states that the device is not working properly, contact your sound card or computer manufacturer for further assistance.

Windows 98SE, ME:

  1. On the Windows desktop, right-click My Computer.
  2. From the shortcut menu, choose Properties.
  3. Click the Device Manager tab.
  4. Click the plus [+] sign next to Sound, video, and game controllers.
  5. Right-click your sound card, and then click Properties.
  6. Compare the information in the dialog with your sound card driver descriptions in the sound card documentation.
  7. On the General tab, make sure that the Device status message is "This device is working properly."
  8. Under Device Usage, make sure the Disable in this hardware profile check box is cleared.
  9. If the Device Status message states that the device is not working properly, contact your sound card or computer manufacturer for further assistance.

Notes:

  • If the installed driver names do not match the sound card or company you have installed, we recommend that you reinstall the sound card drivers.
  • If you see a yellow "!" or red "X", there is a problem with the sound card. Contact the manufacturer of the sound card for assistance.


Why Am I Burning Blank CDs?

HELP

Why are the CDs I'm burning all turning out blank?

Assuming that you have not received any errors (such as a buffer underrun error) while burning, make sure that Enable test mode is clear in your CD Burner Preferences.

You can also test your CD setup with the Run a CD Test... option in your Advanced CD Preferences. (Select Tools > Preferences.. > CD > Advanced CD from the menu bar.)

Click here for additional CD Burning tips.


What can you do to prevent "buffer underrun" errors when burning CDs using RealPlayer?

HELP

What can you do to prevent buffer underrun errors when burning CDs using RealPlayer?

Symptom

While trying to burn CDs, you receive Buffer Underrun errors, resulting in unplayable discs.

Solutions

To make sure the operating system is completely stable, restart the computer before you begin.

Close all programs except Explorer and Systray in the Close Program (Windows 98, ME) or Task Manager (Windows NT, 2000, XP) list.

To close all programs:

    1. Save all data in other open programs.
    2. On the keyboard, press CTRL+ALT+DEL.
      (In Windows NT, 2000, or XP, select Task Manager afterwards.)
    3. Select the first program in the list (other than Explorer or Systray) and click End Task or End Process.
    4. A warning confirmation appears. Click Yes.
    5. Keep repeating steps 1-3 until all entries except Explorer and Systray are gone.
    6. Start RealPlayer.
  • Do not use your CD writer’s maximum burning speed. If your writer can burn at 4x, use 2x; if 8x, use 4x; and so on. This way, the CPU will have to send only half as much data to keep the buffer full, which makes the process less sensitive to errors.
  • Disable screen savers and other programs that could pop up in the middle of a recording session. Background programs, such as anti virus and crash-guard software, might also activate themselves during a session and cause problems.
  • Defragment your hard drive. When you write data to your hard drive, bits and pieces of a whole file get written wherever there's space, meaning your song may be fragmented all over the hard drive. Defragmenting puts things in logical order and helps data travel from the hard disk to the CD without interruption. Run ScanDisk and Disk Defragmenter. ScanDisk and Disk Defragmenter are two tools that Windows includes to optimize your hard drive's efficiency. You should run these tools on a regular basis.

To run ScanDisk:

    1. Double-click the My Computer icon on your desktop.
    2. Right-click the C:\ drive and choose Properties.
    3. Click the Tools tab.
    4. Under Error-Checking (or Error-checking Status), choose Check Now.

To run Disk Defragmenter:

    1. Double-click the My Computer icon on your desktop.
    2. Right-click the C:\ drive and choose Properties.
    3. Click the Tools tab.
    4. Under Defragmentation (or Defragmentation status) choose Defragment Now.

Note: Windows NT 4.0 does not include a Disk Defragmenter.

For more information on ScanDisk or Disk Defragmenter, refer to your Windows documentation.

  • Stay clean: When recording from a CD player, make sure your source CD, the destination CD, and the recorder itself are clean and dust-free. Use quality CDs. Inferior grade CDs may cause a problem. If the CDs from one particular manufacturer keep failing, try a different brand of disc.

Other tips for successfully burning CDs.


Why do I see No Storage Detected when trying to use my portable device?

HELP

Why do I see a "No Storage Detected" message when I try to access my Portable Device in RealPlayer?

Symptom

When you click a device listed in the Burn/Transfer Page, RealPlayer attempts to connect to the device but cannot detect the device or storage of the device.

Explanation

This message appears for the following reasons:

  • Device is not plugged into computer.
  • Device is plugged into computer, but is not turned on.
  • Memory card is not inserted into memory bay.
  • Device is connected, but drivers (provided by device vendor) are not installed or are corrupt.
  • Device is low on battery power, or the power adaptor is not plugged in.

Solutions

  • Make sure that your device is properly connected to your PC.
  • Make sure that the device is turned on to detect storage, and to transfer files.
  • Make sure that all your external memory storage is inserted properly into your device.
  • Make sure your drivers are installed properly. Check your operating system (OS) for troubleshooting tips about connectivity issues with your device, or contact the device vendor for technical support.
  • Make sure your battery and power supply are inserted and are sufficiently charged.

If your device is working properly but you still cannot detect the storage for your device, contact RealNetworks Technical Support at: http://service.real.com/realplayer/.


Am I signed in?

HELP

How do I know I'm Signed In?

When you are signed in, "Plus" will appear on the menu bar of your RealPlayer.

To sign in, select Help > Sign in from your RealPlayer menu bar.


Why am I not able to access the premium features and content even if I have a subscription?

HELP

Why can't I access the premium features and content even if I have subscribed to a Real Service or own RealPlayer Plus?

Symptoms

You are unable to access RealPlayer's premium features.

Solutions

First make sure that you are signed in to Real. If the problem persists, you may need to delete and reset your cookies (files that contain information about your RealPlayer).

Solution 1: Check to see that you have signed in to RealPlayer.

  1. Click the Help menu of RealPlayer.
  2. Look for one of these two options:

    - If you see Sign out, you are already signed in.
    - If you see Sign in, choose this option to sign in.

Solution 2: Enable cookies in RealPlayer.

  1. On the Tools menu, click Preferences.
  2. Select Tools > Preferences > Connection > Internet / Privacy.
  3. Ensure that Enable RealPlayer Cookies is selected.
  4. Click OK.

Note: If you do not enable cookies, features and services are unavailable.

Solution 3: Correct your computer's system date.

If, after signing in successfully, you are immediately asked to sign in again and the Sign in option is still visible from the Help menu, then your computer may have an incorrect system date (such as November 2019) that is interfering.

Each time you sign in, Real sets a player cookie, which gives you features and content access. This cookie is coded with an expiration date. If the system date is after this expiration date, the cookie instantly expires and you are automatically signed out as soon as you sign in.

  1. Click Start in the lower left corner of the screen.
  2. Select Control Panels
    Windows XP,     Select Control Panel
    Windows 98SE, ME, and 2000:     Select Settings, then Control Panel.
  3. Double-click Date and Time.
  4. Make sure the date is correct.
  5. Click OK, and then sign in again.
  6. Reset your RealPlayer cookie. See instructions below, under section 4. This file is created the first time you sign in to RealPlayer. If the information in this file is incorrect, it can cause sign in problems. By deleting this file and then signing back into RealPlayer, you create a new cookie, which should clear up any incorrect information.

Solution 4: Delete and reset your cookie.

  1. If RealPlayer is open, close it.
  2. Click Start in the lower left corner of the screen.
  3. Select the action below appropriate to your operating system:
    Windows XP:     Click Search, then Files or Folders.
    Windows 2000 and ME:     Click Search, then For Files or Folders.
    Windows 98SE:     Click Find, then Files or Folders.
  4. Type cookies.txt in the text box.
  5. Select the action below appropriate to your operating system:
    Windows XP:     Click Search.
    Windows 2000, ME:     Click Search Now.
    Windows 98SE:     Click Find Now.
  6. Start the search. A list of files should appear.
  7. Right-click the cookies.txt file in the Common Files/Real/Common.
  8. Select Delete.
  9. Close the Search/Find window.
  10. Start RealPlayer.
  11. Sign in to create a new cookie file.

You should now be able to access the premium features and Real Services.


iTunes, iPod, and RealPlayer Issues

iTunes can cause issues when you attempt to use RealPlayer to download music to your iPod.

Symptoms 1:

When you connect your iPod to your computer, both iTunes and RealPlayer launch. When you close iTunes, it ejects the portable player and RealPlayer no longer recognizes that the iPod is connected.

Solution:

Change your iTunes preferences either to not launch at all on device connect, or to select the preference to Enable as Disk Use. This will keep the iPod mounted as an Explorer drive letter, even after iTunes closes.

Newer versions of iTunes have Enable Disk Use on by default.

Symptoms 2:

By default, iTunes launches and automatically synchronizes its library to the iPod, erasing any content you added with RealPlayer.

Solution:

In your iTunes preferences, clear the Synchronize Library by Default option.


Firewall Information

HELP

Why doesn't RealPlayer work on my computer at work or from behind a firewall?

If you’re on a local area network (LAN) which is attached to the Internet, and are unable to play clips from remote web sites, it’s possible that your company’s firewall is preventing the stream from reaching you. With a firewall in place, users can receive live and on-demand audio and video from the Internet without exposing their LAN to security risks.

Firewalls create barriers in order to prevent unauthorized access to a network. Think of the Internet as a series of hallways. Firewalls are the security doors through which some people (or data) pass and others may not.

RealSystem content usually passes through these barriers without trouble, but sometimes it is necessary to change your configuration settings to allow content through. With the proper configuration settings, you can enjoy streamed content from the Internet.

Personal Firewalls

To rule out a personal firewall configuration as the problem, temporarily disable your security software and set your Internet Explorer security to default to attempt an unobstructed connection. If you are now able to connect, you must correctly configure your Personal Firewall to allow Player access to the Internet. The manufacturer of your firewall software will be able to assist you with this configuration.

If you have a personal firewall, you can set the process "realplay.exe" to have access to the Internet with the ports specified below.

By default, RealPlayer uses the following ports to connect.

TCP 80, 554, 4040, 7070, 8080, 443 (SSL for sign in), 1755 (MMS Windows Media requests)
UDP 6970-32,000, 1755 (MMS Windows Media resend requests)
HTTP 80 (AU, Messaging Service, and HTTP Cloaking)

More Information

If your computer is behind a firewall, see RealNetworks’ firewall page for more information: http://service.real.com/firewall or speak to your system administrator.


Why is My Library Slow?

If you have recently deleted large numbers of clips or have deleted a large number of clips over time, My Library may begin to respond sluggishly.

To correct this issue:

  1. Open Tools > Preferences... in the RealPlayer menu bar.
  2. In the left window of the dialog box, click the plus (+) sign to Expand My Library.
  3. Select Advanced My Library.
  4. Click Database... at the bottom of the dialog box.
  5. Click Compact Database.
  6. Click OK to close the dialog box.

Note: You cannot perform this function while RealPlayer is playing or recording.


Exiting Full Screen Theater Mode

HELP

How do I exit Full Screen Theater mode?

To exit Full Screen Theater mode, click return icon on the Video Screen tab or press ESC on your keyboard.


What types of files can RealPlayer play?

RealPlayer can play any type of media that your computer is setup to play, including audio, video, and streaming media formats. RealPlayer also uses other types of files, including RealJukebox skin files and Track Info template packages. Just drag and drop them into, or open them with, RealPlayer.

To view the current file-types that your Player can play and which it plays by default:

  1. Click Tools > Preferences.
  2. Expand the Content area and select Media Types.
  3. Click Advanced.
    Checked types RealPlayer plays by default.

To see a list of RealPlayer-specific formats, connect to the Internet and click here.

Note: To play files automatically, select When Clicking Media in the RealPlayer Media Browser... under Tools > Preferences > Content.


How can I update my RealPlayer software?

Updated software is available to all RealPlayer customers with Windows operating systems. By using the most recent version of RealPlayer, you can resolve some problems you might be having with RealPlayer and can play additional file types.

To make sure you are using the latest RealPlayer software, check to see whether there is an update available for RealPlayer:

  1. Open RealPlayer.
  2. Click the Tools menu, then Check for Update:
    - If the Message Center window appears, click Update to get the latest new version of the Player.
    - If the AutoUpdate window appears, scroll through the list, select RealPlayer or any plug-ins that you want to update, and click Install. Plug-ins will install automatically.
  3. If prompts appear for additional steps, follow them for complete installation.

Note: To check your current RealPlayer version number, click the Help menu, then About RealPlayer. Plug-in versions are available in the AutoUpdate Preferences.


Multiple ISPs Issues

HELP

Why does RealPlayer keep trying to connect to the wrong Internet Service Provider?

If you have recently changed your Internet Service Provider (ISP) or have more than one that you use from your computer, RealPlayer may not recognize the correct ISP to connect through.

Symptoms

When you click a link, RealPlayer attempts to dial the incorrect ISP, or if you recently installed a cable or DSL modem, it still attempts to use a dial-up connection.

Solution

To make RealPlayer recognize a new, or the correct, ISP, change your default Internet connection.

  1. Click Start; choose Settings and then Control Panel.
  2. Double-click the Internet Options icon. The Internet Properties dialog box appears.
  3. Click the Connections tab.
  4. Change the dial-up connection settings (or LAN settings if you have DSL) to your current ISP.
  5. Click OK to apply the changes and close the dialog box.


Active CD Drive

HELP

Active Drive

RealPlayer can access all the compatible optical (CD/DVD) drives installed on your computer, but only one at a time. The Active Drive is the optical drive that is currently in use, or selected to be used, by RealPlayer. The currently active drive appears as part of the CD Drive indicator Drive Indicator, located in the upper-right of the CD/DVD page.

RealPlayer monitors all available drives, not just the active drive. It will detect when a CD is inserted and will switch the active drive to the drive with the newly inserted CD. (For additional information, see the options for "When Inserting a CD" in CD Preferences.)

Changing the Active Drive

To change the active drive, select a drive from those displayed in the Play menu, or click Down Arrow/Drive Select next to the CD Drive indicator Drive Indicator, and then select the desired drive from the drop-down list.


Audio CD versus Data CD

HELP

Audio Discs versus Data Discs

Audio CD

Similar to a music CD you buy in a store, an Audio CD can be played on a standard CD player.

Data Disc

A data disc is similar to a CD or DVD that is used to install software on your computer: it is just data/files. RealPlayer compatible files (RealAudio, MP3, etc.) from your local drives can be burned directly onto a data CD.

MP3 Disc

All files copied to an MP3 disc will be, if needed, converted to MP3 format and can be accompanied by M3U formatted playlists, which are used by some MP3 players to play the MP3 files on the disc. When placed in an MP3 compatible CD or DVD player, MP3 discs are played like any audio CD.


Cannot Connect Error

A cannot connect error generally means that RealPlayer did not connect to the computer that serves the media content (the server); it may also mean that the link you clicked is out of date. Common cannot connect error messages include:

  • Cannot connect to server.

  • Unable to connect to server.

  • Unable to establish connection to server.

  • Check network transport settings or run auto-configure.

  • RealPlayer not able to successfully connect to a server for playback.

  • Cannot connect to server, the link you requested may be inaccurate or out of date.

Connection errors that occur on specific sites or that only occur once in a while are not usually a cause for concern. Occasional errors tend to occur when traffic is high on the Internet, the site hosting the files is down, or the files have been moved.

Connection errors that occur at all sites on a recurring basis may indicate a problem with RealPlayer or your Internet connection. You may need to reconfigure RealPlayer or your Internet Service Provider's connection software to allow RealPlayer to connect.

The two most common causes for this type of error are:

  1. The computer or network server that is providing the media content is not available. This can be because of a number of reasons and may be solved by trying the connection at a later time.

  2. You are not connected to the Internet. Make sure that you are connected to the Internet and that RealPlayer is not set to Work Offline.

Click here for troubleshooting tips or, when you can connect to the Internet again, go to http://service.real.com/realplayer/.


Low_Disk_Space

HELP

Low Disk Space

In order to buffer content, RealPlayer requires disk space on your hard drive to temporarily store information, similar to the way your browser caches images and pages so that they display more quickly when you revisit them.

Low disk space may make it impossible to pause or cache a stream for your preferred length of time. This can occur because you have a longer time set for PerfectPlay in the Playback Settings section of Preferences than you have room for on your hard disk, or because you have too little space on your disk to cache the current clip.

Before changing your Preferences settings, try to increase the available disk space for your Player by deleting unused or unnecessary files from your hard disk.


Media Types Selection

HELP

Media Types Installation Options

Using the Media Types Options page in the RealPlayer Setup Wizard, you can specify whether RealPlayer will be the default application for playing audio and video content. These options determine whether RealPlayer will be launched when opening media files fom your computer, or on the Internet.

This page has the following options:

Option | Description
Advanced... | Opens the Media Types dialog, which allows you to assign specific media types. For instance, you could select RealPlayer as the default MP3 player for .MP3 files but not for .M3U playlist files. For convenience, Select All and Deselect All buttons are provided.

If at a later time you wish to change these settings, select Tools > Preferences from your RealPlayer menu bar, expand the Content section and choose Media Types.


Track at Once

HELP

Track-At-Once (TAO) Compatibility Issues

When you use the Track-At-Once (TAO) writing mode for burning an audio CD, your recordable drive may not support the audio CD options Add/Do not add 2-second gap between tracks and Crossfade tracks into one another.

While most newer drives support removal of the two-second gap, they have no way to indicate this to RealPlayer, nor to you. When using the default CD burning mode, Disc-At-Once (DAO) writing, both of these transition options are supported.

It is recommended that you use the default Disc-At-Once (DAO) writing mode when you burn audio CDs. To enable DAO, clear Always use TAO... in your CD Burner preferences.

If you receive an error when burning an Audio CD, while using the TAO writing mode for Audio CD burning, confirm that Add 2-second gap between tracks is selected in the Audio CD Options dialog and try your burn again. You can test these options without wasting discs by selecting Enable Test Mode in the Advanced Options dialog or by going directly to your CD Burner preferences.

Note: If your drive does not support DAO, the option to turn off TAO burning will not be available. In this case, TAO will be selected by default and the option will be disabled.

If you still receive errors or have additional questions, please visit our Technical Support site at: http://service.real.com/realplayer/


Credits

Lead Writer: Harold Gross
Writer: Alan Bédard
Writer: Lorelei Shannon
Artist: Troy Parke
Editor: Kim Baumgartner
With additional support by Richard O'Shea

version: 9/7/2004 12:23


Harmony

HELP

What is Harmony™ Technology?

Harmony™ Technology is a revolutionary digital rights management (DRM) translation system. Now you can use any online music store to purchase music for your portable device. Harmony Technology also allows you to securely transfer music downloaded from the RealPlayer Music Store to over 100 devices including devices from Apple, Rio, Panasonic, PalmOne and more.

Different devices, different formats, one Player

Using the new Harmony Technology within RealPlayer 10.5, the format of your music no longer matters. RealPlayer 10.5 will convert your files to a format supported by your device automatically, translating the DRM to one supported by your device at the same time. In fact, if RealPlayer 10.5 realizes that you are downloading or ripping music into a format not supported by your portable device, you will be asked if you want to change the format to the best one for your device.

Take your music with you

RealPlayer 10.5 with Harmony™ Technology is the only digital media player you need to find and download new music. No matter what format your content is in, or what digital rights management (DRM) software is used, RealPlayer with Harmony™ Technology can convert and support the transfer of your content to your portable device.


Welcome to RealPlayer Help

HELP

Welcome to RealPlayer 10.5 Plus

To view most of this help document, you will need to be connected to the Internet and online. Some topics are available to you at all times for your convenience as Offline Topics.

If you would like to use the full Help document, which includes full-text searching, at any time whether or not you are connected to the Internet, click Download Help Now.

If you would like to use this Help document only while you are on-line, connect and click Continue.

Go online now. | Continue, I'm online
Show off-line topics. | Take Me to the Offline Topics
Show off-line topics. | Tell Me What's New in RealPlayer 10.5
Download Full Help now. | Download Full Help Now
Download screen-reader accessible Help now. | Install Screen-Reader Accessible Help


noframealert

HELP

Topic not viewable

The topic you have selected is not viewable outside of the RealPlayer Overview.

Click here to see the Overview now, or select a different topic from your Search results. Thank you.